curl -X GET https://api.companyflow.com/roles/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer YOUR_TOKEN"
const response = await fetch(
'https://api.companyflow.com/roles/550e8400-e29b-41d4-a716-446655440000',
{
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_TOKEN'
}
}
);
const data = await response.json();
import requests
url = "https://api.companyflow.com/roles/550e8400-e29b-41d4-a716-446655440000"
headers = {
"Authorization": "Bearer YOUR_TOKEN"
}
response = requests.get(url, headers=headers)
data = response.json()
{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"company_id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Senior Developer",
"description": "Senior-level software development position",
"is_system_role": false,
"permissions_cache": ["employees:read", "employees:write"],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}
{
"success": false,
"message": "invalid role id"
}
{
"success": false,
"message": "unauthorized"
}
Roles & Permissions
Get Role
Retrieve a specific role by ID
GET
/
roles
/
{id}
curl -X GET https://api.companyflow.com/roles/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer YOUR_TOKEN"
const response = await fetch(
'https://api.companyflow.com/roles/550e8400-e29b-41d4-a716-446655440000',
{
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_TOKEN'
}
}
);
const data = await response.json();
import requests
url = "https://api.companyflow.com/roles/550e8400-e29b-41d4-a716-446655440000"
headers = {
"Authorization": "Bearer YOUR_TOKEN"
}
response = requests.get(url, headers=headers)
data = response.json()
{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"company_id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Senior Developer",
"description": "Senior-level software development position",
"is_system_role": false,
"permissions_cache": ["employees:read", "employees:write"],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}
{
"success": false,
"message": "invalid role id"
}
{
"success": false,
"message": "unauthorized"
}
Get detailed information about a specific role. Requires Super Admin or HR Manager permissions.
Path Parameters
string
required
The unique identifier of the role (UUID format)Example:
"550e8400-e29b-41d4-a716-446655440000"Response
boolean
Indicates if the request was successful
object
The role object
Show Role Object
Show Role Object
string
Unique identifier for the role
string
The company this role belongs to
string
Name of the role
string
Description of the role
boolean
Whether this is a system-defined role
string[]
Array of cached permission strings
string
ISO 8601 timestamp of when the role was created
string
ISO 8601 timestamp of when the role was last updated
curl -X GET https://api.companyflow.com/roles/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer YOUR_TOKEN"
const response = await fetch(
'https://api.companyflow.com/roles/550e8400-e29b-41d4-a716-446655440000',
{
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_TOKEN'
}
}
);
const data = await response.json();
import requests
url = "https://api.companyflow.com/roles/550e8400-e29b-41d4-a716-446655440000"
headers = {
"Authorization": "Bearer YOUR_TOKEN"
}
response = requests.get(url, headers=headers)
data = response.json()
{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"company_id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Senior Developer",
"description": "Senior-level software development position",
"is_system_role": false,
"permissions_cache": ["employees:read", "employees:write"],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}
{
"success": false,
"message": "invalid role id"
}
{
"success": false,
"message": "unauthorized"
}